%{?nodejs_find_provides_and_requires}

%global packagename escallmatch
%global enable_tests 1

Name:		nodejs-escallmatch
Version:	1.4.2
Release:	1%{?dist}
Summary:	ECMAScript CallExpression matcher made from function/method signature

License:	MIT
# license file requested upstream at https://github.com/twada/escallmatch/pull/4
URL:		https://github.com/twada/escallmatch.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

# Patch to fix the version of "indexof" used
Patch0:		nodejs-escallmatch_fix-indexof.patch


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(component-indexof)
BuildRequires:	npm(array-foreach)
BuildRequires:	npm(array-filter)
BuildRequires:	npm(array-reduce)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(espurify)
%endif

%description
ECMAScript CallExpression matcher made from function/method signature


%prep
%setup -q -n package
%patch0 -p1

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon Nov  9 2015 Jared Smith <jsmith@fedoraproject.org> - 1.4.2-1
- Initial packaging
